Add default refspec reference
[releng/global-jjb.git] / jjb-test / expected-xml / github-maven-maven-release-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <jdk>openjdk8</jdk>
4   <actions/>
5   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
6   <keepDependencies>false</keepDependencies>
7   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
8   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
9   <concurrentBuild>false</concurrentBuild>
10   <assignedNode>build-vm</assignedNode>
11   <canRoam>false</canRoam>
12   <properties>
13     <com.coravy.hudson.plugins.github.GithubProjectProperty>
14       <projectUrl>$GIT_URL/$PROJECT/example-org/releng/ciman</projectUrl>
15     </com.coravy.hudson.plugins.github.GithubProjectProperty>
16     <hudson.model.ParametersDefinitionProperty>
17       <parameterDefinitions>
18         <hudson.model.StringParameterDefinition>
19           <name>PROJECT</name>
20           <description>Parameter to identify a Gerrit project. This is typically the
21 project repo path as exists in Gerrit.
22 For example: ofextensions/circuitsw
23 </description>
24           <defaultValue>releng/ciman</defaultValue>
25         </hudson.model.StringParameterDefinition>
26         <hudson.model.StringParameterDefinition>
27           <name>STREAM</name>
28           <description>Stream is often set to the same name as 'branch' but can
29 sometimes be used as a name representing a project's release code
30 name.
31 </description>
32           <defaultValue>master</defaultValue>
33         </hudson.model.StringParameterDefinition>
34         <hudson.model.StringParameterDefinition>
35           <name>GERRIT_PROJECT</name>
36           <description>Parameter to identify Gerrit project. This is typically the
37 project repo path as exists in Gerrit.
38 For example: ofextensions/circuitsw
39
40 Note that Gerrit will override this parameter automatically if a
41 job is triggered by Gerrit.
42 </description>
43           <defaultValue>releng/ciman</defaultValue>
44         </hudson.model.StringParameterDefinition>
45         <hudson.model.StringParameterDefinition>
46           <name>GERRIT_BRANCH</name>
47           <description>Parameter to identify a Gerrit branch.
48
49 Note that Gerrit will override this parameter automatically if a
50 job is triggered by Gerrit.
51 </description>
52           <defaultValue>master</defaultValue>
53         </hudson.model.StringParameterDefinition>
54         <hudson.model.StringParameterDefinition>
55           <name>GERRIT_REFSPEC</name>
56           <description>Parameter to identify a refspec when pulling from Gerrit.
57
58 Note that Gerrit will override this parameter automatically if a
59 job is triggered by Gerrit.
60 </description>
61           <defaultValue>refs/heads/master</defaultValue>
62         </hudson.model.StringParameterDefinition>
63         <hudson.model.StringParameterDefinition>
64           <name>MAVEN_OPTS</name>
65           <description>Maven Java opts. Example: -Xmx1024m -XX:MaxPermSize=256m
66 </description>
67           <defaultValue/>
68         </hudson.model.StringParameterDefinition>
69         <hudson.model.StringParameterDefinition>
70           <name>MAVEN_PARAMS</name>
71           <description>Maven parameters to pass to the mvn command.
72 </description>
73           <defaultValue/>
74         </hudson.model.StringParameterDefinition>
75         <hudson.model.StringParameterDefinition>
76           <name>MVN</name>
77           <description>Maven selector to be used by shell scripts</description>
78           <defaultValue>/w/tools/hudson.tasks.Maven_MavenInstallation/mvn33/bin/mvn</defaultValue>
79         </hudson.model.StringParameterDefinition>
80         <hudson.model.StringParameterDefinition>
81           <name>STAGING_PROFILE_ID</name>
82           <description>Nexus staging profile ID.
83 </description>
84           <defaultValue>uuddlrlrba</defaultValue>
85         </hudson.model.StringParameterDefinition>
86       </parameterDefinitions>
87     </hudson.model.ParametersDefinitionProperty>
88   </properties>
89   <scm class="hudson.plugins.git.GitSCM">
90     <configVersion>2</configVersion>
91     <userRemoteConfigs>
92       <hudson.plugins.git.UserRemoteConfig>
93         <name>origin</name>
94         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
95         <url>git@github.com:example-org/releng/ciman</url>
96         <credentialsId>test-credential</credentialsId>
97       </hudson.plugins.git.UserRemoteConfig>
98     </userRemoteConfigs>
99     <branches>
100       <hudson.plugins.git.BranchSpec>
101         <name>**</name>
102       </hudson.plugins.git.BranchSpec>
103     </branches>
104     <excludedUsers/>
105     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
106     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
107     <authorOrCommitter>false</authorOrCommitter>
108     <wipeOutWorkspace>true</wipeOutWorkspace>
109     <pruneBranches>false</pruneBranches>
110     <remotePoll>false</remotePoll>
111     <gitTool>Default</gitTool>
112     <submoduleCfg class="list"/>
113     <relativeTargetDir/>
114     <reference/>
115     <gitConfigName/>
116     <gitConfigEmail/>
117     <skipTag>true</skipTag>
118     <scmName/>
119     <useShallowClone>false</useShallowClone>
120     <ignoreNotifyCommit>false</ignoreNotifyCommit>
121     <extensions>
122       <hudson.plugins.git.extensions.impl.SubmoduleOption>
123         <disableSubmodules>false</disableSubmodules>
124         <recursiveSubmodules>true</recursiveSubmodules>
125         <trackingSubmodules>false</trackingSubmodules>
126         <reference/>
127         <timeout>10</timeout>
128       </hudson.plugins.git.extensions.impl.SubmoduleOption>
129       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
130     </extensions>
131   </scm>
132   <builders>
133     <hudson.tasks.Shell>
134       <command>mkdir -p $WORKSPACE/target/classes $WORKSPACE/jacoco/classes</command>
135     </hudson.tasks.Shell>
136     <hudson.tasks.Shell>
137       <command>echo &quot;quiet=on&quot; &gt; &quot;$HOME/.wgetrc&quot;</command>
138     </hudson.tasks.Shell>
139     <hudson.tasks.Maven>
140       <targets>--version</targets>
141       <properties/>
142       <mavenName>mvn33</mavenName>
143       <usePrivateRepository>false</usePrivateRepository>
144       <settings class="jenkins.mvn.DefaultSettingsProvider"/>
145       <globalSettings class="jenkins.mvn.DefaultGlobalSettingsProvider"/>
146     </hudson.tasks.Maven>
147     <hudson.tasks.Shell>
148       <command>rm &quot;$HOME/.wgetrc&quot;</command>
149     </hudson.tasks.Shell>
150     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
151       <managedFiles>
152         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
153           <fileId>global-settings</fileId>
154           <targetLocation/>
155           <variable>GLOBAL_SETTINGS_FILE</variable>
156         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
157         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
158           <fileId>aproject-settings</fileId>
159           <targetLocation/>
160           <variable>SETTINGS_FILE</variable>
161         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
162       </managedFiles>
163     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
164     <EnvInjectBuilder>
165       <info>
166         <propertiesContent>SERVER_ID=opendaylight-staging</propertiesContent>
167       </info>
168     </EnvInjectBuilder>
169     <hudson.tasks.Shell>
170       <command>#!/bin/bash
171 # SPDX-License-Identifier: EPL-1.0
172 ##############################################################################
173 # Copyright (c) 2017 The Linux Foundation and others.
174 #
175 # All rights reserved. This program and the accompanying materials
176 # are made available under the terms of the Eclipse Public License v1.0
177 # which accompanies this distribution, and is available at
178 # http://www.eclipse.org/legal/epl-v10.html
179 ##############################################################################
180 echo &quot;---&gt; create-netrc.sh&quot;
181
182 # Ensure we fail the job if any steps fail.
183 set -eu -o pipefail
184
185 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
186 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
187     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
188     -v x:username -o &quot;:&quot; -v x:password \
189     &quot;$SETTINGS_FILE&quot;)
190
191 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
192 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
193 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
194
195 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
196 </command>
197     </hudson.tasks.Shell>
198     <hudson.tasks.Shell>
199       <command>#!/bin/bash
200 # SPDX-License-Identifier: EPL-1.0
201 ##############################################################################
202 # Copyright (c) 2017 The Linux Foundation and others.
203 #
204 # All rights reserved. This program and the accompanying materials
205 # are made available under the terms of the Eclipse Public License v1.0
206 # which accompanies this distribution, and is available at
207 # http://www.eclipse.org/legal/epl-v10.html
208 ##############################################################################
209 echo &quot;---&gt; lftools-install.sh&quot;
210
211 # Ensure we fail the job if any steps fail.
212 # DO NOT set -u as virtualenv's activate script has unbound variables
213 set -e -o pipefail
214
215 virtualenv --quiet &quot;/tmp/v/lftools&quot;
216 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
217 source &quot;/tmp/v/lftools/bin/activate&quot;
218 pip install --quiet --upgrade pip
219 pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
220
221 # pipdeptree prints out a lot of information because lftools pulls in many
222 # dependencies. Let's only print it if we want to debug.
223 # echo &quot;----&gt; Pip Dependency Tree&quot;
224 # pip install --quiet --upgrade pipdeptree
225 # pipdeptree
226
227 #!/bin/bash
228 # SPDX-License-Identifier: EPL-1.0
229 ##############################################################################
230 # Copyright (c) 2017 The Linux Foundation and others.
231 #
232 # All rights reserved. This program and the accompanying materials
233 # are made available under the terms of the Eclipse Public License v1.0
234 # which accompanies this distribution, and is available at
235 # http://www.eclipse.org/legal/epl-v10.html
236 ##############################################################################
237
238 # This file contains a list of variables that are generally useful in many
239 # scripts. It is meant to be sourced in other scripts so that the variables can
240 # be called.
241
242 MAVEN_OPTIONS=&quot;$(echo --show-version \
243     --batch-mode \
244     -Djenkins \
245     -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn \
246     -Dmaven.repo.local=/tmp/r \
247     -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r)&quot;
248 echo &quot;$MAVEN_OPTIONS&quot;
249
250 #!/bin/bash
251 # SPDX-License-Identifier: EPL-1.0
252 ##############################################################################
253 # Copyright (c) 2017 The Linux Foundation and others.
254 #
255 # All rights reserved. This program and the accompanying materials
256 # are made available under the terms of the Eclipse Public License v1.0
257 # which accompanies this distribution, and is available at
258 # http://www.eclipse.org/legal/epl-v10.html
259 ##############################################################################
260
261 # This script removes the -SNAPSHOT from a project to prepare it for release.
262
263 PATCH_DIR=&quot;$WORKSPACE/archives/patches&quot;
264 mkdir -p &quot;$PATCH_DIR&quot;
265
266 # Ensure we fail the job if any steps fail.
267 set -eu -o pipefail
268
269 echo &quot;$PROJECT&quot; &quot;$(git rev-parse --verify HEAD)&quot; | tee -a &quot;$PATCH_DIR/taglist.log&quot;
270
271 # Strip -SNAPSHOT from version to prepare release.
272 find . -name &quot;*.xml&quot; -print0 | xargs -0 sed -i 's/-SNAPSHOT//g'
273
274 git commit -am &quot;Release $PROJECT&quot;
275 git format-patch --stdout &quot;origin/$GERRIT_BRANCH&quot; &gt; &quot;$PATCH_DIR/${PROJECT//\//-}.patch&quot;
276 git bundle create &quot;$PATCH_DIR/${PROJECT//\//-}.bundle&quot; &quot;origin/${GERRIT_BRANCH}..HEAD&quot;
277
278 #!/bin/bash
279 # SPDX-License-Identifier: EPL-1.0
280 ##############################################################################
281 # Copyright (c) 2017 The Linux Foundation and others.
282 #
283 # All rights reserved. This program and the accompanying materials
284 # are made available under the terms of the Eclipse Public License v1.0
285 # which accompanies this distribution, and is available at
286 # http://www.eclipse.org/legal/epl-v10.html
287 ##############################################################################
288
289 # This script builds a Maven project and deploys it into a staging repo which
290 # can be used to deploy elsewhere later eg. Nexus staging / snapshot repos.
291
292 # DO NOT enable -u because $MAVEN_PARAMS and $MAVEN_OPTIONS could be unbound.
293 # Ensure we fail the job if any steps fail.
294 set -e -o pipefail
295 set +u
296
297 export MAVEN_OPTS
298
299 # Disable SC2086 because we want to allow word splitting for $MAVEN_* parameters.
300 # shellcheck disable=SC2086
301 $MVN clean deploy \
302     --global-settings &quot;$GLOBAL_SETTINGS_FILE&quot; \
303     --settings &quot;$SETTINGS_FILE&quot; \
304     -DaltDeploymentRepository=staging::default::file:&quot;$WORKSPACE&quot;/m2repo \
305     $MAVEN_PARAMS $MAVEN_OPTIONS
306
307 #!/bin/bash
308 # SPDX-License-Identifier: EPL-1.0
309 ##############################################################################
310 # Copyright (c) 2017 The Linux Foundation and others.
311 #
312 # All rights reserved. This program and the accompanying materials
313 # are made available under the terms of the Eclipse Public License v1.0
314 # which accompanies this distribution, and is available at
315 # http://www.eclipse.org/legal/epl-v10.html
316 ##############################################################################
317
318 # This script publishes artifacts to a staging repo in Nexus.
319 #
320 # $WORKSPACE/m2repo   :  Exists and used to deploy the staging repository.
321 # $NEXUS_URL          :  Jenkins global variable should be defined.
322 # $STAGING_PROFILE_ID :  Provided by a job parameter.
323
324 # Ensure we fail the job if any steps fail.
325 set -eu -o pipefail
326
327 TMP_FILE=&quot;$(mktemp)&quot;
328 lftools deploy nexus-stage &quot;$NEXUS_URL&quot; &quot;$STAGING_PROFILE_ID&quot; &quot;$WORKSPACE/m2repo&quot; | tee &quot;$TMP_FILE&quot;
329 staging_repo=$(sed -n -e 's/Staging repository \(.*\) created\./\1/p' &quot;$TMP_FILE&quot;)
330
331 # Store repo info to a file in archives
332 mkdir -p &quot;$WORKSPACE/archives&quot;
333 echo &quot;$staging_repo&quot; &gt; &quot;$WORKSPACE/archives/staging-repo.txt&quot;
334
335 # Cleanup
336 rm &quot;$TMP_FILE&quot;
337 </command>
338     </hudson.tasks.Shell>
339     <hudson.tasks.Shell>
340       <command>#!/bin/bash
341 set +e  # DO NOT cause build failure if any of the rm calls fail.
342
343 rm &quot;$GLOBAL_SETTINGS_FILE&quot; &quot;$SETTINGS_FILE&quot;
344
345 # In some cases we use the lf-provide-maven-settings macro to produce
346 # a &quot;$HOME/.netrc&quot; file containing credentials. Remove that file here
347 # too if it exists.
348 rm &quot;$HOME/.netrc&quot;
349
350 # DO NOT fail build if any of the above lines fail.
351 exit 0
352 </command>
353     </hudson.tasks.Shell>
354   </builders>
355   <publishers>
356     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
357       <buildSteps>
358         <hudson.tasks.Shell>
359           <command>#!/bin/bash
360 # SPDX-License-Identifier: EPL-1.0
361 ##############################################################################
362 # Copyright (c) 2017 The Linux Foundation and others.
363 #
364 # All rights reserved. This program and the accompanying materials
365 # are made available under the terms of the Eclipse Public License v1.0
366 # which accompanies this distribution, and is available at
367 # http://www.eclipse.org/legal/epl-v10.html
368 ##############################################################################
369 echo &quot;---&gt; sysstat.sh&quot;
370 set +e  # DON'T fail build if script fails.
371
372 OS=$(facter operatingsystem)
373 case &quot;$OS&quot; in
374     Ubuntu)
375         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
376
377         # Dont run the script when systat is not enabled by default
378         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
379             exit 0
380         fi
381     ;;
382     CentOS|RedHat)
383         SYSSTAT_PATH=&quot;/var/log/sa&quot;
384     ;;
385     *)
386         # nothing to do
387         exit 0
388     ;;
389 esac
390
391 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
392 mkdir -p &quot;$SAR_DIR&quot;
393 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
394 # convert sar data to ascii format
395 while IFS=&quot;&quot; read -r s
396 do
397     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
398 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
399
400 # DON'T fail build if script fails.
401 exit 0
402 </command>
403         </hudson.tasks.Shell>
404         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
405           <managedFiles>
406             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
407               <fileId>jenkins-log-archives-settings</fileId>
408               <targetLocation/>
409               <variable>SETTINGS_FILE</variable>
410             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
411           </managedFiles>
412         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
413         <EnvInjectBuilder>
414           <info>
415             <propertiesContent>SERVER_ID=logs</propertiesContent>
416           </info>
417         </EnvInjectBuilder>
418         <hudson.tasks.Shell>
419           <command>#!/bin/bash
420 # SPDX-License-Identifier: EPL-1.0
421 ##############################################################################
422 # Copyright (c) 2017 The Linux Foundation and others.
423 #
424 # All rights reserved. This program and the accompanying materials
425 # are made available under the terms of the Eclipse Public License v1.0
426 # which accompanies this distribution, and is available at
427 # http://www.eclipse.org/legal/epl-v10.html
428 ##############################################################################
429 echo &quot;---&gt; create-netrc.sh&quot;
430
431 # Ensure we fail the job if any steps fail.
432 set -eu -o pipefail
433
434 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
435 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
436     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
437     -v x:username -o &quot;:&quot; -v x:password \
438     &quot;$SETTINGS_FILE&quot;)
439
440 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
441 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
442 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
443
444 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
445 </command>
446         </hudson.tasks.Shell>
447         <hudson.tasks.Shell>
448           <command>#!/bin/bash
449 # SPDX-License-Identifier: EPL-1.0
450 ##############################################################################
451 # Copyright (c) 2017 The Linux Foundation and others.
452 #
453 # All rights reserved. This program and the accompanying materials
454 # are made available under the terms of the Eclipse Public License v1.0
455 # which accompanies this distribution, and is available at
456 # http://www.eclipse.org/legal/epl-v10.html
457 ##############################################################################
458 echo &quot;---&gt; lftools-install.sh&quot;
459
460 # Ensure we fail the job if any steps fail.
461 # DO NOT set -u as virtualenv's activate script has unbound variables
462 set -e -o pipefail
463
464 virtualenv --quiet &quot;/tmp/v/lftools&quot;
465 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
466 source &quot;/tmp/v/lftools/bin/activate&quot;
467 pip install --quiet --upgrade pip
468 pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
469
470 # pipdeptree prints out a lot of information because lftools pulls in many
471 # dependencies. Let's only print it if we want to debug.
472 # echo &quot;----&gt; Pip Dependency Tree&quot;
473 # pip install --quiet --upgrade pipdeptree
474 # pipdeptree
475
476 #!/bin/bash
477 # SPDX-License-Identifier: EPL-1.0
478 ##############################################################################
479 # Copyright (c) 2017 The Linux Foundation and others.
480 #
481 # All rights reserved. This program and the accompanying materials
482 # are made available under the terms of the Eclipse Public License v1.0
483 # which accompanies this distribution, and is available at
484 # http://www.eclipse.org/legal/epl-v10.html
485 ##############################################################################
486 echo &quot;---&gt; logs-deploy.sh&quot;
487
488 # Ensure we fail the job if any steps fail.
489 set -eu -o pipefail
490
491 set -x  # Trace commands for this script to make debugging easier.
492
493 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
494 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
495
496 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
497 then
498     set +x # Disable trace since we no longer need it
499
500     echo &quot;WARNING: Logging server not set&quot;
501 else
502     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
503     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
504     BUILD_URL=&quot;${BUILD_URL}&quot;
505
506     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
507     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
508
509     set +x  # Disable trace since we no longer need it.
510
511     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
512 fi
513 </command>
514         </hudson.tasks.Shell>
515         <hudson.tasks.Shell>
516           <command>#!/bin/bash
517 # SPDX-License-Identifier: EPL-1.0
518 ##############################################################################
519 # Copyright (c) 2017 The Linux Foundation and others.
520 #
521 # All rights reserved. This program and the accompanying materials
522 # are made available under the terms of the Eclipse Public License v1.0
523 # which accompanies this distribution, and is available at
524 # http://www.eclipse.org/legal/epl-v10.html
525 ##############################################################################
526
527 # Clear log credential files
528 rm &quot;$SETTINGS_FILE&quot;
529 rm ~/.netrc
530 </command>
531         </hudson.tasks.Shell>
532         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
533           <regexp>^Build logs: .*</regexp>
534         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
535       </buildSteps>
536       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
537       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
538       <markBuildUnstable>false</markBuildUnstable>
539     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
540     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
541       <patterns>
542         <hudson.plugins.ws__cleanup.Pattern>
543           <pattern>**/*.jenkins-trigger</pattern>
544           <type>EXCLUDE</type>
545         </hudson.plugins.ws__cleanup.Pattern>
546       </patterns>
547       <deleteDirs>false</deleteDirs>
548       <cleanupMatrixParent>false</cleanupMatrixParent>
549       <externalDelete/>
550       <cleanWhenSuccess>true</cleanWhenSuccess>
551       <cleanWhenUnstable>true</cleanWhenUnstable>
552       <cleanWhenFailure>true</cleanWhenFailure>
553       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
554       <cleanWhenAborted>true</cleanWhenAborted>
555       <notFailBuild>true</notFailBuild>
556     </hudson.plugins.ws__cleanup.WsCleanup>
557   </publishers>
558   <buildWrappers>
559     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
560     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
561       <timeoutMinutes>30</timeoutMinutes>
562       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
563       <failBuild>true</failBuild>
564       <writingDescription>false</writingDescription>
565       <timeoutPercentage>0</timeoutPercentage>
566       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
567       <timeoutType>absolute</timeoutType>
568     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
569     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
570     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
571       <user>test-credential</user>
572     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
573     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
574   </buildWrappers>
575 </project>